# abstract Context3DTextureFormat(Null<Int>)

#### package openfl.display3D

####

Available on all platforms

### Variables

###

`inline read onlyBGRA:Context3DTextureFormat = 1`

###

`inline read onlyBGRA_PACKED:Context3DTextureFormat = 2`

###

`inline read onlyBGR_PACKED:Context3DTextureFormat = 0`

###

`inline read onlyCOMPRESSED:Context3DTextureFormat = 3`

###

`inline read onlyCOMPRESSED_ALPHA:Context3DTextureFormat = 4`

###

`inline read onlyRGBA_HALF_FLOAT:Context3DTextureFormat = 5`